Description: Ignore warnings from colord and Avahi in the tests, as they change the expected number of warnings.
Author: Martin Pitt <mpitt@debian.org>

--- a/test/run-stp-tests.sh
+++ b/test/run-stp-tests.sh
@@ -764,7 +764,7 @@ else
 fi
 
 # Warning log messages
-count=`$GREP '^W ' /tmp/cups-$user/log/error_log | wc -l | awk '{print $1}'`
+count=`$GREP '^W ' /tmp/cups-$user/log/error_log | grep -v 'org.freedesktop.ColorManager' | grep -v -E 'Avahi client failed: -(26|1)$' | wc -l | awk '{print $1}'`
 if test $count != 9; then
 	echo "FAIL: $count warning messages, expected 9."
 	$GREP '^W ' /tmp/cups-$user/log/error_log
